#include <dht.h> // DHT Library von Arduino

dht DHT; // Zuweisen eines Objektes zur Bibliothek

int sensorPin = 13 ;// Bestimmen das der Sensor DHT11 an den PWM PIN 13 angeschlossen ist.
void setup() { 
  Serial.begin(115200);  // Verbindungsgeschwindigkeit (Baudrate) auf 115200 setzen. Dieses muss mit der Übertragungsrate im Serial Monitor übereinstimmen.
} 

void loop() {
  int chk = DHT.read11(sensorPin); //Status holen
  switch (chk)
  {
    //Wenn alles OK ist.
    case DHTLIB_OK:  
                break;
    //Bei einem Checksummenfehler
    case DHTLIB_ERROR_CHECKSUM: 
                Serial.print("Checksummenfehler"); 
                break;
    //Bei einer Zeitüberschreitung der Anforderung.
    case DHTLIB_ERROR_TIMEOUT: 
                Serial.print("Zeitüberschreitung"); 
                break;
    default: 
                break;
  }

  //Werte ausgeben
  Serial.print("Temperatur: ");
  Serial.println(DHT.temperature, 1); //Die Temperatur auslesen.
  Serial.print("Luftfeuchtigkeit: ");
  Serial.println(DHT.humidity, 1);  // Die Luftfeuchtigkeit auslesen.
  Serial.println("----------------");

  //Eine Pause von 2sek. der Sensor DHT11 stellt alle 2sek neue Werte zur Verfügung daher 
  //ist ein Wert < 2sek. nicht möglich bzw. unnötig.
  delay(2000);  
}

